/******************************************************************************
 * Copyright © 2007  Red Hat, Inc. All rights reserved.
 *
 *This copyrighted material is made available to anyone wishing to use, modify,
 *copy, or redistribute it subject to the terms and conditions of the GNU 
 *General Public License v.2.  This program is distributed in the hope that it
 *will be useful, but WITHOUT ANY WARRANTY expressed or implied, including the
 *implied warranties of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *See the GNU General Public License for more details.  You should have received
 *a copy of the GNU General Public License along with this program; if not,
 *write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 *Boston, MA 02110-1301, USA. Any Red Hat trademarks that are incorporated in
 *the source code or documentation are not subject to the GNU General Public
 *License and may only be used or replicated with the express permission of
 *Red Hat, Inc.
 *
 *Red Hat Author(s): 	Alex Larsson
 *			Jeff Moyer
 *			Michael K Johnson
 *			Elliot Le
 *			Neil Horman 
 ******************************************************************************/
#ifndef SERVER_H
#define SERVER_H

#include <sys/types.h>
#include <sys/socket.h>
#include "netdumpclient.h"

#define NETDUMP_PORT 6666

#define NETDUMP_DIR_PREFIX "/var/netdump/crash"

extern int master_socket;

void remove_client  (NetdumpClient *client);
int  execute_script (const char *script,
		     guint32     ip,
		     const char *dir);

gboolean verify_magic (NetdumpClient *client);
gboolean perform_space_check (void);
int config_load_segments(NetdumpClient *client);
int config_hole_size(void);
int config_debug_level(void);
int config_verbose(void);
char *config_compress(void);
int config_skip_zero(void);

#endif /* SERVER_H */
